/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "fcp/base/process_unique_id.h"

namespace fcp {

namespace {
// This will be zero-initialized.
std::atomic<uint64_t> next_id;
}  // namespace

ProcessUniqueId ProcessUniqueId::Next() {
  return ProcessUniqueId(next_id.fetch_add(1, std::memory_order_relaxed));
}

}  // namespace fcp
